## org.apache.lucene.queryParser.surround.query
Class SrndPrefixQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.SimpleTerm
              org.apache.lucene.queryParser.surround.query.SrndPrefixQuery

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, DistanceSubQuery

    public class SrndPrefixQuery

extends SimpleTerm

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`SimpleTerm.MatchingTermVisitor`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`SrndPrefixQuery(java.lang.String prefix, boolean quoted, char truncator)`

Method Summary
`org.apache.lucene.index.Term` `getLucenePrefixTerm(java.lang.String fieldName)`
`java.lang.String` `getPrefix()`
`char` `getSuffixOperator()`
`protected void` `suffixToString(java.lang.StringBuffer r)`
`java.lang.String` `toStringUnquoted()`
`void` `visitMatchingTerms(org.apache.lucene.index.IndexReader reader, java.lang.String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm
`addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, toString`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SrndPrefixQuery

    public SrndPrefixQuery(java.lang.String prefix,
                           boolean quoted,
                           char truncator)

Method Detail

### getPrefix

    public java.lang.String getPrefix()

### getSuffixOperator

    public char getSuffixOperator()

### getLucenePrefixTerm

    public org.apache.lucene.index.Term getLucenePrefixTerm(java.lang.String fieldName)

### toStringUnquoted

    public java.lang.String toStringUnquoted()

  Specified by:
    `toStringUnquoted` in class `SimpleTerm`

### suffixToString

    protected void suffixToString(java.lang.StringBuffer r)

  Overrides:
    `suffixToString` in class `SimpleTerm`

### visitMatchingTerms

    public void visitMatchingTerms(org.apache.lucene.index.IndexReader reader,
                                   java.lang.String fieldName,
                                   SimpleTerm.MatchingTermVisitor mtv)
                            throws java.io.IOException

  Specified by:
    `visitMatchingTerms` in class `SimpleTerm`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.